Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Svc_Conf_Lexer Class Reference

`#include <Svc_Conf_Lexer.h>`

List of all members.

## Static Public Member Functions
int | yylex (ACE_YYSTYPE *ace_yylval, ACE_Svc_Conf_Param *param)
## Static Private Member Functions
size_t | input (ACE_Svc_Conf_Param *param, char *buf, size_t max_size)
int | scan (ACE_YYSTYPE *ace_yylval, ACE_Svc_Conf_Param *param)

## Detailed Description

This class lexes the classic ACE Service Configurator language. The entry point is similar to what flex would generate. However, it is a static method in this class (which is really just name space).

## Member Function Documentation

size_t ACE_Svc_Conf_Lexer::input | ( | ACE_Svc_Conf_Param * | param,
|  | char * | buf,
|  | size_t | max_size
| ) | `[static, private]`

int ACE_Svc_Conf_Lexer::scan | ( | ACE_YYSTYPE * | ace_yylval,
|  | ACE_Svc_Conf_Param * | param
| ) | `[static, private]`

int ACE_Svc_Conf_Lexer::yylex | ( | ACE_YYSTYPE * | ace_yylval,
|  | ACE_Svc_Conf_Param * | param
| ) | `[static]`

| This is similar to the C function, ace_yylex, which a bison generated parser expects. It returns information in the ace_yylval parameter and uses input stored in the param parameter.

The documentation for this class was generated from the following files:

- Svc_Conf_Lexer.h
- Svc_Conf_Lexer.cpp